Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans.chart
Class MappedChartDataSource

`java.lang.Object
oracle.jbo.html.databeans.chart.ChartDataSource
oracle.jbo.html.databeans.chart.MappedChartDataSource`

All Implemented Interfaces:
  tdg.data.in.TDGDataGrid

Direct Known Subclasses:
  LabelAwareChartDataSource

public abstract class MappedChartDataSource
extends ChartDataSource

A Data source which provides a mapping support for the chart control. Some of the columns in the underlying View can be supressed (ex., CHAR type columns) using this datasource. This list of columns to be used in drawing the chart can be specified

- As a list of column names
- As a list of column indices

A View with 'v' columns can be mapped to a chart data source with 'n' columns (n <= v).

Version:
  Internal
See Also:
  `ChartDataSource`, `ChartLabelDataSource`

Field Summary

Fields inherited from class oracle.jbo.html.databeans.chart.ChartDataSource
`_parent, _qView, _rows`

Constructor Summary
`MappedChartDataSource(tdg.Perspective parent)` Constructor

Method Summary
`protected int` | `_getColumnIndex(RowSet rs, java.lang.String name)` get the index of the given column name
`protected java.lang.String` | `_getColumnName(RowSet rs, int index)`
`protected void` | `_initMap()`
`protected int` | `_mapColumnIndex(int columnIndex)`
`int` | `getColumns()`
`int[]` | `getMappingColumnIndices()`
`java.lang.String[]` | `getMappingColumnNames()` get the current list of mapped columns
`java.lang.Object` | `getValue(int row, int col)`
`void` | `initialize()` This method should be invoked after the View object has been set.
`void` | `setMappingColumnIndices(int[] indices)` Specify mapping description using column indices.
`void` | `setMappingColumnNames(java.lang.String[] columnNames)` Specify mapping description using columnNames.

Methods inherited from class oracle.jbo.html.databeans.chart.ChartDataSource
`_updateChart, columnLabel, getColumnLabel, getColumnLabelDataSource, getFootnote, getO1AxisTitle, getO2AxisTitle, getRowLabel, getRowLabelDataSource, getRows, getRowSet, getSubtitle, getTitle, getX1AxisTitle, getY1AxisTitle, getY2AxisTitle, isDirty, rowLabel, setColumnLabel, setColumnLabelDataSource, setRowLabel, setRowLabelDataSource, setRowSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedChartDataSource

    public MappedChartDataSource(tdg.Perspective parent)

  Constructor

Method Detail

### initialize

    public void initialize()

  This method should be invoked after the View object has been set.

### setMappingColumnNames

    public void setMappingColumnNames(java.lang.String[] columnNames)

  Specify mapping description using columnNames.
  Parameters:
    `columnNames` - List of column names in the underlying View object The resultant data source will have as column 0, the columnNames[0] and so on.
  See Also:
    `setMappingColumnIndices(int[])`

### getMappingColumnNames

    public java.lang.String[] getMappingColumnNames()

  get the current list of mapped columns

### setMappingColumnIndices

    public void setMappingColumnIndices(int[] indices)

  Specify mapping description using column indices.
  Parameters:
    `indices` - List of column indices in the underlying View object The resultant data source will have as column 0, the indices[0] and so on.
  See Also:
    `setMappingColumnNames(String[])`

### getMappingColumnIndices

    public int[] getMappingColumnIndices()

### getColumns

    public int getColumns()

  Specified by:
    `getColumns` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getColumns` in class `ChartDataSource`

### getValue

    public java.lang.Object getValue(int row,
                                     int col)

  Specified by:
    `getValue` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getValue` in class `ChartDataSource`

### _initMap

    protected void _initMap()

### _mapColumnIndex

    protected int _mapColumnIndex(int columnIndex)

### _getColumnIndex

    protected int _getColumnIndex(RowSet rs,
                                  java.lang.String name)

  get the index of the given column name

### _getColumnName

    protected java.lang.String _getColumnName(RowSet rs,
                                              int index)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.